/*
 *  spellfile.rexx spell checks a file using ISpell in ARexx server mode
 *  Requires ISpell version 2.1ljr with ARexx Server mode.
 *  Started: 11/7/89
 *  Last Update: LJR  Sun Jun 03 21:29:40 1990
 *
 *  Copyright (C) 1989,1990  Loren J. Rittle
 *  Use as you will, just document your changes and keep my copyright
 *  notice intact.
 */
parse arg item cmdline
options results
if item = "" then do
	say "Usage: spellfile file1 file2 ..."
	exit
end
if pos('IRexxSpell',(show(ports))) = 0 then do
	'runback ispell -r >null: <null:'
	waitforport 'IRexxSpell'
end
address 'IRexxSpell' filecheck item
r = result
"type" r
"delete" r
if cmdline ~= "" then call spellfile cmdline
exit
